package com.hfkj.entity;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * bs_store_discount_activity_partake_user
 * @author 
 */
/**
 * 
 * 代码由工具生成
 * 
 **/
public class BsStoreDiscountActivityPartakeUser implements Serializable {
    /**
     * 主键
     */
    private Long id;

    /**
     * 优惠活动id
     */
    private Long discountActivityId;

    /**
     * 优惠活动名称
     */
    private String discountActivityName;

    /**
     * 优惠类型   1. 满减   2. 立减   3. 折扣
     */
    private Integer discountType;

    /**
     * 优惠条件(满减价格)
     */
    private BigDecimal discountCondition;

    /**
     * 优惠金额
     */
    private BigDecimal discountPrice;

    /**
     * 优惠活动开始时间
     */
    private Date startTime;

    /**
     * 优惠活动结束时间
     */
    private Date endTime;

    /**
     * 用户手机号
     */
    private String userPhone;

    /**
     * 参与总次数
     */
    private Integer partakeTotalNum;

    /**
     * 参与剩余次数
     */
    private Integer partakeSurplusNum;

    /**
     * 参与使用次数
     */
    private Integer partakeUseNum;

    /**
     * 状态  0：不可用  1：可用
     */
    private Integer status;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新时间
     */
    private Date updateTime;

    private String ext1;

    private String ext2;

    private String ext3;

    private static final long serialVersionUID = 1L;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getDiscountActivityId() {
        return discountActivityId;
    }

    public void setDiscountActivityId(Long discountActivityId) {
        this.discountActivityId = discountActivityId;
    }

    public String getDiscountActivityName() {
        return discountActivityName;
    }

    public void setDiscountActivityName(String discountActivityName) {
        this.discountActivityName = discountActivityName;
    }

    public Integer getDiscountType() {
        return discountType;
    }

    public void setDiscountType(Integer discountType) {
        this.discountType = discountType;
    }

    public BigDecimal getDiscountCondition() {
        return discountCondition;
    }

    public void setDiscountCondition(BigDecimal discountCondition) {
        this.discountCondition = discountCondition;
    }

    public BigDecimal getDiscountPrice() {
        return discountPrice;
    }

    public void setDiscountPrice(BigDecimal discountPrice) {
        this.discountPrice = discountPrice;
    }

    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public String getUserPhone() {
        return userPhone;
    }

    public void setUserPhone(String userPhone) {
        this.userPhone = userPhone;
    }

    public Integer getPartakeTotalNum() {
        return partakeTotalNum;
    }

    public void setPartakeTotalNum(Integer partakeTotalNum) {
        this.partakeTotalNum = partakeTotalNum;
    }

    public Integer getPartakeSurplusNum() {
        return partakeSurplusNum;
    }

    public void setPartakeSurplusNum(Integer partakeSurplusNum) {
        this.partakeSurplusNum = partakeSurplusNum;
    }

    public Integer getPartakeUseNum() {
        return partakeUseNum;
    }

    public void setPartakeUseNum(Integer partakeUseNum) {
        this.partakeUseNum = partakeUseNum;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getExt1() {
        return ext1;
    }

    public void setExt1(String ext1) {
        this.ext1 = ext1;
    }

    public String getExt2() {
        return ext2;
    }

    public void setExt2(String ext2) {
        this.ext2 = ext2;
    }

    public String getExt3() {
        return ext3;
    }

    public void setExt3(String ext3) {
        this.ext3 = ext3;
    }

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        BsStoreDiscountActivityPartakeUser other = (BsStoreDiscountActivityPartakeUser) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getDiscountActivityId() == null ? other.getDiscountActivityId() == null : this.getDiscountActivityId().equals(other.getDiscountActivityId()))
            && (this.getDiscountActivityName() == null ? other.getDiscountActivityName() == null : this.getDiscountActivityName().equals(other.getDiscountActivityName()))
            && (this.getDiscountType() == null ? other.getDiscountType() == null : this.getDiscountType().equals(other.getDiscountType()))
            && (this.getDiscountCondition() == null ? other.getDiscountCondition() == null : this.getDiscountCondition().equals(other.getDiscountCondition()))
            && (this.getDiscountPrice() == null ? other.getDiscountPrice() == null : this.getDiscountPrice().equals(other.getDiscountPrice()))
            && (this.getStartTime() == null ? other.getStartTime() == null : this.getStartTime().equals(other.getStartTime()))
            && (this.getEndTime() == null ? other.getEndTime() == null : this.getEndTime().equals(other.getEndTime()))
            && (this.getUserPhone() == null ? other.getUserPhone() == null : this.getUserPhone().equals(other.getUserPhone()))
            && (this.getPartakeTotalNum() == null ? other.getPartakeTotalNum() == null : this.getPartakeTotalNum().equals(other.getPartakeTotalNum()))
            && (this.getPartakeSurplusNum() == null ? other.getPartakeSurplusNum() == null : this.getPartakeSurplusNum().equals(other.getPartakeSurplusNum()))
            && (this.getPartakeUseNum() == null ? other.getPartakeUseNum() == null : this.getPartakeUseNum().equals(other.getPartakeUseNum()))
            && (this.getStatus() == null ? other.getStatus() == null : this.getStatus().equals(other.getStatus()))
            && (this.getCreateTime() == null ? other.getCreateTime() == null : this.getCreateTime().equals(other.getCreateTime()))
            && (this.getUpdateTime() == null ? other.getUpdateTime() == null : this.getUpdateTime().equals(other.getUpdateTime()))
            && (this.getExt1() == null ? other.getExt1() == null : this.getExt1().equals(other.getExt1()))
            && (this.getExt2() == null ? other.getExt2() == null : this.getExt2().equals(other.getExt2()))
            && (this.getExt3() == null ? other.getExt3() == null : this.getExt3().equals(other.getExt3()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getDiscountActivityId() == null) ? 0 : getDiscountActivityId().hashCode());
        result = prime * result + ((getDiscountActivityName() == null) ? 0 : getDiscountActivityName().hashCode());
        result = prime * result + ((getDiscountType() == null) ? 0 : getDiscountType().hashCode());
        result = prime * result + ((getDiscountCondition() == null) ? 0 : getDiscountCondition().hashCode());
        result = prime * result + ((getDiscountPrice() == null) ? 0 : getDiscountPrice().hashCode());
        result = prime * result + ((getStartTime() == null) ? 0 : getStartTime().hashCode());
        result = prime * result + ((getEndTime() == null) ? 0 : getEndTime().hashCode());
        result = prime * result + ((getUserPhone() == null) ? 0 : getUserPhone().hashCode());
        result = prime * result + ((getPartakeTotalNum() == null) ? 0 : getPartakeTotalNum().hashCode());
        result = prime * result + ((getPartakeSurplusNum() == null) ? 0 : getPartakeSurplusNum().hashCode());
        result = prime * result + ((getPartakeUseNum() == null) ? 0 : getPartakeUseNum().hashCode());
        result = prime * result + ((getStatus() == null) ? 0 : getStatus().hashCode());
        result = prime * result + ((getCreateTime() == null) ? 0 : getCreateTime().hashCode());
        result = prime * result + ((getUpdateTime() == null) ? 0 : getUpdateTime().hashCode());
        result = prime * result + ((getExt1() == null) ? 0 : getExt1().hashCode());
        result = prime * result + ((getExt2() == null) ? 0 : getExt2().hashCode());
        result = prime * result + ((getExt3() == null) ? 0 : getExt3().hashCode());
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", discountActivityId=").append(discountActivityId);
        sb.append(", discountActivityName=").append(discountActivityName);
        sb.append(", discountType=").append(discountType);
        sb.append(", discountCondition=").append(discountCondition);
        sb.append(", discountPrice=").append(discountPrice);
        sb.append(", startTime=").append(startTime);
        sb.append(", endTime=").append(endTime);
        sb.append(", userPhone=").append(userPhone);
        sb.append(", partakeTotalNum=").append(partakeTotalNum);
        sb.append(", partakeSurplusNum=").append(partakeSurplusNum);
        sb.append(", partakeUseNum=").append(partakeUseNum);
        sb.append(", status=").append(status);
        sb.append(", createTime=").append(createTime);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", ext1=").append(ext1);
        sb.append(", ext2=").append(ext2);
        sb.append(", ext3=").append(ext3);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}